Bug 1690440 - selftest fails in FIPS mode
Summary: selftest fails in FIPS mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnutls
Version: 8.0
Hardware: All
OS: All
medium
medium
Target Milestone: rc
: 8.1
Assignee: Anderson Sasaki
QA Contact: Tomas Mraz
URL:
Whiteboard:
: 1706880 (view as bug list)
Depends On: 1689967
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 13:38 UTC by Ondrej Moriš
Modified: 2019-11-05 22:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:26:20 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3600 None None None 2019-11-05 22:26:42 UTC

Description Ondrej Moriš 2019-03-19 13:38:04 UTC
Description of problem:

Upstream self-test fails in FIPS mode:

make  check-TESTS
make[4]: Entering directory '/tmp/tmp.1hIrBjjNno/rpmroot/BUILD/gnutls-3.6.5/tests'
make[5]: Entering directory '/tmp/tmp.1hIrBjjNno/rpmroot/BUILD/gnutls-3.6.5/tests'
...
FAIL: gnutls-cli-debug.sh
...
FAIL: testpkcs11.sh
...
============================================================================
Testsuite summary for GnuTLS 3.6.5
============================================================================
# TOTAL: 413
# PASS:  392
# SKIP:  19
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0
============================================================================

Version-Release number of selected component (if applicable):

gnutls-3.6.5-2.el8

How reproducible:

100%

Steps to Reproduce:

1. Enable FIPS mode (fips-mode-setup --enable && reboot)
2. Build the source rpm of gnutls.
3. Execute self test in build directory (make check).

Actual results:

See above.

Expected results:

All test are either passed or skipped.

Additional info:

When FIPS mode is disabled, no test fails.

Comment 2 Anderson Sasaki 2019-03-20 15:05:01 UTC
This issue was set to medium priority because this issue does not limit the core functionality of a component.

Comment 8 Ondrej Moriš 2019-06-24 11:01:52 UTC
*** Bug 1706880 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2019-11-05 22:26:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3600


Note You need to log in before you can comment on or make changes to this bug.